Subject: [dhcwg] FW: CASM BoF request just posted to BoF wiki

From: "Liushucheng (Will)" <[email-masked]>
Date: Fri, 10 Feb 2017 03:07:08 +0000

Hi all,

I’m forwarding the updated version of  CASM BoF request on behalf of other proponents. Please feel free to ask questions and provide comments. Thanks!

--start--

Coordinated Address Space Management (CASM)

  *   Description: Organizations use IP Address Space Management (IPAM) tools to manage their IP address space, often with proprietary database and interfaces. This work intends to evolve IPAM into standardized interfaces for coordinated management of IP addresses, including SDN/NFV networks and other forms of virtualization. Use cases include dynamic allocation and release of IP addresses and prefixes based on usage (reallocation in case of no more in use) and/or user intent (for specific services).

  *   Agenda
     *   Problem statement and use cases
     *   Requirements and framework
     *   Possible charter goals and milestones
     *   Next steps
  *   Status: WG Forming
  *   Responsible AD: OPS (Benoit Claise, Joel Jaeggli)
  *   BoF proponents: Chongfeng Xie(China Telecom), Rakesh Kumar (Juniper), Ying Cheng(China Unicom), Will Liu(Huawei)
  *   BoF chairs: TBD
  *   Number of people expected to attend: 100
  *   Length of session (1, 1.5, 2, or 2.5 hours): 1.5 hours
  *   Conflicts to avoid (whole Areas and/or WGs): intarea, opsawg, anima, supa, dhc, nfvrg
  *   Mailing List: ​​https://www.ietf.org/mailman/listinfo/casm<https://www.ietf.org/mailman/listinfo/casm>
  *   Draft charter: TBD
  *   Relevant drafts:
     *   ​https://datatracker.ietf.org/doc/draft-kumar-casm-problem-and-use-cases<https://datatracker.ietf.org/doc/draft-kumar-casm-problem-and-use-cases>
     *   ​https://datatracker.ietf.org/doc/draft-xie-ps-centralized-address-management<https://datatracker.ietf.org/doc/draft-xie-ps-centralized-address-management>
     *   ​https://datatracker.ietf.org/doc/draft-kumar-casm-requirements-and-framework<https://datatracker.ietf.org/doc/draft-kumar-casm-requirements-and-framework>
     *   ​https://datatracker.ietf.org/doc/draft-sun-i2apm-address-pool-management-arch<https://datatracker.ietf.org/doc/draft-sun-i2apm-address-pool-management-arch>
     *   ​https://datatracker.ietf.org/doc/draft-sun-i2apm-address-pool-management-yang<https://datatracker.ietf.org/doc/draft-sun-i2apm-address-pool-management-yang>

--end--

Regards,
Will (LIU Shucheng)

From: CASM [mailto:[email-masked]] On Behalf Of Liushucheng (Will)
Sent: Thursday, February 09, 2017 11:56 AM
To: [email-masked]
Subject: [Casm] CASM BoF request just posted to BoF wiki

Hi all,

I’m writing to notify you that the CASM BoF request was just posted in the bof wiki. https://trac.tools.ietf.org/bof/trac/
Many thanks for the efforts from Marc, Adrian, Rakesh and Chongfeng.

Please help to review it and let us know your thoughts. I’m copying it below.

--start--

Centralized Address Management (CASM)

  *   Description: Organizations use IP Address Space Management (IPAM) tools to manage their IP address space, often with proprietary database and interfaces. This work intends to evolve IPAM into standardized interfaces for centralized management of IP addresses, specially in the context of SDN/NFV networks. Use cases include dynamic allocation and release of IP addresses and prefixes based on usage (reallocation in case of no more in use) and/or user intent (for specific services).

  *   Agenda
     *   Problem statement and use cases
     *   Requirements and framework
     *   Possible charter goals and milestones
     *   Next steps
  *   Status: WG Forming
  *   Responsible AD: OPS (Benoit Claise, Joel Jaeggli)
  *   BoF proponents: Chongfeng Xie(China Telecom), Rakesh Kumar (Juniper), Ying Cheng(China Unicom), Will Liu(Huawei)
  *   BoF chairs: TBD
  *   Number of people expected to attend: 100
  *   Length of session (1, 1.5, 2, or 2.5 hours): 1.5 hours
  *   Conflicts to avoid (whole Areas and/or WGs): intarea, opsawg, anima, supa, dhc, nfvrg
  *   Mailing List: ​​https://www.ietf.org/mailman/listinfo/casm<https://www.ietf.org/mailman/listinfo/casm>
  *   Draft charter: TBD
  *   Relevant drafts:
     *   ​https://datatracker.ietf.org/doc/draft-kumar-casm-problem-and-use-cases<https://datatracker.ietf.org/doc/draft-kumar-casm-problem-and-use-cases>
     *   ​https://datatracker.ietf.org/doc/draft-xie-ps-centralized-address-management<https://datatracker.ietf.org/doc/draft-xie-ps-centralized-address-management>
     *   ​https://datatracker.ietf.org/doc/draft-kumar-casm-requirements-and-framework<https://datatracker.ietf.org/doc/draft-kumar-casm-requirements-and-framework>
     *   ​https://datatracker.ietf.org/doc/draft-sun-i2apm-address-pool-management-arch<https://datatracker.ietf.org/doc/draft-sun-i2apm-address-pool-management-arch>
     *   ​https://datatracker.ietf.org/doc/draft-sun-i2apm-address-pool-management-yang<https://datatracker.ietf.org/doc/draft-sun-i2apm-address-pool-management-yang>
--end--

Regards,
Will (LIU Shucheng)